Bug 1031380 - If it is used as a filesystem Btrfs, it's impossible to create hardlinks in subvolumes.
If it is used as a filesystem Btrfs, it's impossible to create hardlinks in s...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: posix (Show other bugs)
3.4.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 08:31 EST by Jan Jaros
Modified: 2015-10-07 09:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:17:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Jaros 2013-11-17 08:31:50 EST
Description of problem:
If it is used as a filesystem Btrfs, it's impossible to create hardlinks in subvolumes.

Version-Release number of selected component (if applicable):


How reproducible:

[root@glustertest ~]# mkfs -t btrfs -L BtrfsTest /dev/vg/btrfs 

WARNING! - Btrfs Btrfs v0.20-rc1 IS EXPERIMENTAL
WARNING! - see http://btrfs.wiki.kernel.org before using

fs created label BtrfsTest on /dev/vg/btrfs
	nodesize 4096 leafsize 4096 sectorsize 4096 size 5.00GB
Btrfs Btrfs v0.20-rc1
[root@glustertest ~]# mount /dev/vg/btrfs /mnt/share/
[root@glustertest ~]# cd /mnt/share/
[root@glustertest share]# btrfs subvolume create subvolume
Create subvolume './subvolume'
[root@glustertest share]# cd subvolume/
[root@glustertest subvolume]# touch foo
[root@glustertest subvolume]# ln foo bar
[root@glustertest subvolume]# ls -lhi
total 0
257 -rw-r--r--. 2 root root 0 17. lis 14.13 bar
257 -rw-r--r--. 2 root root 0 17. lis 14.13 foo
[root@glustertest subvolume]# 
[root@glustertest subvolume]# rm -rf *
[root@glustertest subvolume]# ip -4 addr show dev eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    inet 172.16.16.83/24 brd 172.16.16.255 scope global eth0
[root@glustertest subvolume]# gluster volume create testvol 172.16.16.83:/mnt/share/
volume create: testvol: success: please start the volume to access data
[root@glustertest subvolume]# gluster volume start testvol
volume start: testvol: success
[root@glustertest subvolume]# mount -t glusterfs 172.16.16.83:testvol /mnt/fuse/
[root@glustertest subvolume]# cd /mnt/fuse/
[root@glustertest fuse]# touch foo
[root@glustertest fuse]# ln foo bar
[root@glustertest fuse]# ls -lhi
total 0
10270418759055736366 -rw-r--r--. 2 root root 0 17. lis 14.16 bar
10270418759055736366 -rw-r--r--. 2 root root 0 17. lis 14.16 foo
10655654594021197356 drwxr-xr-x. 1 root root 0 17. lis 14.13 subvolume
[root@glustertest fuse]# cd subvolume/
[root@glustertest subvolume]# touch foo
[root@glustertest subvolume]# ln foo bar
ln: creating hard link `bar' => `foo': No such file or directory
Comment 1 Niels de Vos 2015-05-17 17:59:52 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 2 Kaleb KEITHLEY 2015-10-07 09:17:37 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.